Subject: Re: [Tools-discuss] Performance problems retrieving drafts

From: Eric Rescorla <[email-masked]>
Date: Mon, 29 Feb 2016 17:11:18 -0800

Did this ever get fixed? I am still seeing like 1.5 second delays for draft
fetches?

-Ekr

On Sun, Nov 15, 2015 at 9:21 AM, Henrik Levkowetz <[email-masked]>
wrote:

> Hi Eric,
>
> On 2015-11-15 17:43, Eric Rescorla wrote:
> > On Sun, Nov 15, 2015 at 8:36 AM, Henrik Levkowetz <[email-masked]>
> > wrote:
> >
> >> Hi Eric,
> >>
> >> Actually, it's a very simple-minded throttling, in defence of aggressive
> >> robots: sleep for 5 seconds.
> >>
> >
> > That seems... suboptimal.
> >
> >
> > I've rearranged the code a bit, to reduce the wait if the html file
> doesn't
> >> need to be re-generated.
> >>
> >
> > Hmm... Doesn't seem to be fixed yet.
>
> It needs to propagate to all the servers; I normally only spend time fixing
> it on one, and let it propagate in its own good time.  If you wish, you
> can hit https://zinfandel.tools.ietf.org/html/draft-ietf-acme-acme
> directly.
>
>         Henrik
>
> > (When you see an issue with anything on tools.ietf.org, please email me,
> >> rather
> >> than the anonymous 'folks'; they can't do anything about it.  If I
> happen
> >> to
> >> notice messages on the list, I fix things; but I don't always see list
> >> messages
> >> in a timely manner.)
> >>
> >
> > OK.
> >
> > -Ekr
> >
> >
> >> Regards,
> >>
> >>         Henrik
> >>
> >> On 2015-11-15 17:04, Eric Rescorla wrote:
> >> > Hi folks,
> >> >
> >> > tools.ietf.org has a major performance problem whenever you fetch a
> >> > draft without a version number. So, for instance, dereference:
> >> >
> >> >   https://tools.ietf.org/html/draft-ietf-acme-acme
> >> >
> >> > This does a 302 redirect to:
> >> >   https://tools.ietf.org/html/draft-ietf-acme-acme-01
> >> >
> >> > The second fetch is not too terrible (250ms or so), but the first
> fetch
> >> > spends
> >> > 6 seconds waiting for the site to do the redirect. A bit of digging
> shows
> >> > that
> >> > essentially all this time is spent after the request is sent and
> waiting
> >> > for the
> >> > site. Based on inferences from other behaviors, I suspect that this is
> >> some
> >> > sort of database query to see what the latest draft version is. Given
> the
> >> > trivial size of this data set, that seems like it should be easy to
> fix,
> >> > though...
> >> >
> >> > -Ekr
> >> >
> >> >
> >> >
> >>
> >>
> >
>
>